**表A4：问卷调查分数统计—基于基准设置**
use "survey.dta", clear
**变量说明**
*id为调查被试的匿名id
*问卷调查总共有6个问题，如下
*问题1请您对以下4个组织的声誉进行评分（最低1分，最高11分，以整数为单位）
*问题2请您对以下4个组织的了解程度进行评分（1为很不熟悉，11为很熟悉，以整数为单位）
*问题3请您对以下4个组织的喜欢程度进行评分（1为很不喜欢，11为很喜欢，以整数为单位）
*问题4请您对以下4个组织所从事的慈善活动的认同程度进行评分（1为很不认同，11为很认同，以整数为单位）
*问题5请您对以下4个组织的信任程度进行评分（1为很不信任，11为很信任，以整数为单位）
*问题6请您对以下4个组织的善款使用有效程度进行评分（1为很不有效，11为很有效，以整数为单位）
*red1为对中国红十字基金会问题1的评分
*red2为对中国红十字基金会问题2的评分
*red3为对中国红十字基金会问题3的评分
*red4为对中国红十字基金会问题4的评分
*red5为对中国红十字基金会问题5的评分
*red6为对中国红十字基金会问题6的评分
*yi1为对壹基金问题1的评分
*yi2为对壹基金问题2的评分
*yi3为对壹基金问题3的评分
*yi4为对壹基金问题4的评分
*yi5为对壹基金问题5的评分
*yi6为对壹基金问题6的评分
*unicef1为对联合国儿童基金会问题1的评分
*unicef2为对联合国儿童基金会问题2的评分
*unicef3为对联合国儿童基金会问题3的评分
*unicef4为对联合国儿童基金会问题4的评分
*unicef5为对联合国儿童基金会问题5的评分
*unicef6为对联合国儿童基金会问题6的评分
*cctf1为对中国儿童青少年基金会问题1的评分
*cctf2为对中国儿童青少年基金会问题2的评分
*cctf3为对中国儿童青少年基金会问题3的评分
*cctf4为对中国儿童青少年基金会问题4的评分
*cctf5为对中国儿童青少年基金会问题5的评分
*cctf6为对中国儿童青少年基金会问题6的评分
gen all = 1
*声誉分数
tabstat red1, by (all) stat(mean median sd) nototal long
tabstat yi1, by (all) stat(mean median sd) nototal long
tabstat unicef1, by (all) stat(mean median sd) nototal long
tabstat cctf1, by (all) stat(mean median sd) nototal long
*了解程度分数
tabstat red2, by (all) stat(mean median sd) nototal long
tabstat yi2, by (all) stat(mean median sd) nototal long
tabstat unicef2, by (all) stat(mean median sd) nototal long
tabstat cctf2, by (all) stat(mean median sd) nototal long
*喜欢程度分数
tabstat red3, by (all) stat(mean median sd) nototal long
tabstat yi3, by (all) stat(mean median sd) nototal long
tabstat unicef3, by (all) stat(mean median sd) nototal long
tabstat cctf3, by (all) stat(mean median sd) nototal long
*认同程度分数
tabstat red4, by (all) stat(mean median sd) nototal long
tabstat yi4, by (all) stat(mean median sd) nototal long
tabstat unicef4, by (all) stat(mean median sd) nototal long
tabstat cctf4, by (all) stat(mean median sd) nototal long
*信任程度分数
tabstat red5, by (all) stat(mean median sd) nototal long
tabstat yi5, by (all) stat(mean median sd) nototal long
tabstat unicef5, by (all) stat(mean median sd) nototal long
tabstat cctf5, by (all) stat(mean median sd) nototal long
*有效程度分数
tabstat red6, by (all) stat(mean median sd) nototal long
tabstat yi6, by (all) stat(mean median sd) nototal long
tabstat unicef6, by (all) stat(mean median sd) nototal long
tabstat cctf6, by (all) stat(mean median sd) nototal long


**表A5：两种受捐赠对象间个人捐赠意愿比较-回归分析**
use "china_us_data.dta", clear
**变量说明**
*china为虚拟变量，1则为中国实验数据，0则为美国实验数据
*id为被试的唯一匿名识别编号
*wg为个人捐赠意愿
*charity为虚拟变量，1则为捐赠对象是慈善组织，0则为捐赠对象是同伴
*other为虚拟变量，1则为捐赠对象是同伴，0则为捐赠对象是慈善组织
*附录表A5第（1）列
reg wg other if china==1
*附录表A5第（2）列
reg wg other if china==1, vce(cluster id)
*附录表A5第（3）列
reg wg other if china==0
*附录表A5第（4）列
reg wg other if china==0, vce(cluster id)


**表A6：各实验设置情况与被试统计**
use "no_risk_li.dta", clear
gen nb = 1
bysort treatment: egen totalsubject = sum(nb) 
*被试数量,平均被试付酬
*totalsubject为被试数量
*profit为被试付酬
tabstat totalsubject profit, by (treatment) stat(max mean) nototal long


**表A7：实验设置间比较-声誉信息**
use "no_risk_li.dta", clear
*id为被试的匿名id
*session为实验设置每期实验的有序变量
*treatment为实验设置的有序变量
*treatment=1为"同伴设置"； 
*treatment=2为"名称设置-中国红十字基金会"
*treatment=3为"名称设置-壹基金"
*treatment=4为"名称设置-联合国儿童基金会"
*treatment=5为"名称设置-中国儿童青少年基金会"
*treatment=6为"声誉得分设置-低分"
*treatment=7为"声誉得分设置-高分"
*treatment=8为"基准设置"
*treatment=9为"声誉排名设置-后25%"
*treatment=10为"声誉排名设置-前25%"
*v1为被试选择的过程展示，0为“金钱自留”，1为“捐赠给慈善组织”
*transmitpoint为被试在选择序列中的转换行数
*transmitpoint=-1为被试有多次转换记录
*transmitpointbefore为被试在选择序列中的转换行数的上一行数
drop if transmitpoint==-1
gen valuetrans = (transmitpoint-1)*4
gen valuetransbefore = (transmitpointbefore -1)*4
gen wg = (valuetrans+valuetransbefore)/2
gen dk5 = 0
gen dk6 = dk5
gen dk7 = dk5
gen dk8 = dk5
replace dk5=1 if treatment == 6
replace dk6=1 if treatment == 7
replace dk7=1 if treatment == 9
replace dk8=1 if treatment == 10
encode province, gen (prov)
*附录表A7第（1）列*
reg wg dk6 if treatment==6 | treatment==7, vce(cluster id)
*附录表A7第（2）列*
reg wg dk6 i.major i.prov if treatment==6 | treatment==7, vce(cluster id)
*附录表A7第（3）列*
reg wg dk8 if treatment==9 | treatment==10, vce(cluster id)
*附录表A7第（4）列*
reg wg dk8 i.major i.prov if treatment==9 | treatment==10, vce(cluster id)



