**变量说明**
*id为被试的匿名id
*sequenceNO为每期实验抉择序列的有序变量
*session为实验设置每期实验的有序变量
*treatment为实验设置的有序变量
*treatment=1为“同伴设置”； 
*treatment=2为“名称设置-中国红十字基金会”
*treatment=3为“名称设置-壹基金”
*treatment=4为“名称设置-联合国儿童基金会”
*treatment=5为“名称设置-中国儿童青少年基金会”
*treatment=6为“声誉得分设置-低分”
*treatment=7为“声誉得分设置-高分”
*treatment=8为“基准设置”
*treatment=9为“声誉排名设置-后25%”
*treatment=10为“声誉排名设置-前25%”
*v1为被试选择的过程展示，0为“金钱自留”，1为“捐赠给慈善组织”
*transmitpoint为被试在选择序列中的转换行数
*transmitpoint=-1为被试有多次转换记录
*transmitpointbefore为被试在选择序列中的转换行数的上一行数
*province为被试来自省份
*major为被试专业编号
*profit为被试的最终付酬


**表3：个人捐赠意愿（WG）的描述统计**
use "no_risk_li.dta", clear
*id为被试的匿名id
*session为实验设置每期实验的有序变量
*treatment为实验设置的有序变量
*treatment=1为"同伴设置"； 
*treatment=2为"名称设置-中国红十字基金会"
*treatment=3为"名称设置-壹基金"
*treatment=4为"名称设置-联合国儿童基金会"
*treatment=5为"名称设置-中国儿童青少年基金会"
*treatment=6为"声誉得分设置-低分"
*treatment=7为"声誉得分设置-高分"
*treatment=8为"基准设置"
*treatment=9为"声誉排名设置-后25%"
*treatment=10为"声誉排名设置-前25%"
*v1为被试选择的过程展示，0为“金钱自留”，1为“捐赠给慈善组织”
*transmitpoint为被试在选择序列中的转换行数
*transmitpoint=-1为被试有多次转换记录
*transmitpointbefore为被试在选择序列中的转换行数的上一行数
gen valuetrans = (transmitpoint-1)*4
gen valuetransbefore = (transmitpointbefore -1)*4
gen wg = (valuetrans+valuetransbefore)/2
*个人捐赠意愿（WG）平均数、中位数、标准差
tabstat wg if transmitpoint>-1, by (treatment) stat(mean median sd) nototal long
gen nb = 1
bysort treatment: egen samplesubject = sum(nb) if transmitpoint>-1
bysort treatment: egen summultiple = sum(nb) if transmitpoint==-1
bysort treatment: egen totalsubject = sum(nb) 
*样本数、多次转换者、总样本数
tabstat samplesubject summultiple totalsubject, by (treatment) stat(max) nototal long


**表4：与基准设置的回归比较-信息披露**
use "no_risk_li.dta", clear
*id为被试的匿名id
*session为实验设置每期实验的有序变量
*treatment为实验设置的有序变量
*treatment=1为"同伴设置"； 
*treatment=2为"名称设置-中国红十字基金会"
*treatment=3为"名称设置-壹基金"
*treatment=4为"名称设置-联合国儿童基金会"
*treatment=5为"名称设置-中国儿童青少年基金会"
*treatment=6为"声誉得分设置-低分"
*treatment=7为"声誉得分设置-高分"
*treatment=8为"基准设置"
*treatment=9为"声誉排名设置-后25%"
*treatment=10为"声誉排名设置-前25%"
*v1为被试选择的过程展示，0为“金钱自留”，1为“捐赠给慈善组织”
*transmitpoint为被试在选择序列中的转换行数
*transmitpoint=-1为被试有多次转换记录
*transmitpointbefore为被试在选择序列中的转换行数的上一行数
drop if transmitpoint==-1
gen valuetrans = (transmitpoint-1)*4
gen valuetransbefore = (transmitpointbefore -1)*4
gen wg = (valuetrans+valuetransbefore)/2
gen dk1 = 0
gen dk2 = dk1
gen dk3 = dk1
gen dk4 = dk1
replace dk1=1 if treatment == 2
replace dk2=1 if treatment == 3
replace dk3=1 if treatment == 4
replace dk4=1 if treatment == 5
encode province, gen (prov)
*表4第（1）列*
reg wg dk1 dk2 dk3 dk4 if treatment==2 | treatment==3 | treatment==4 | treatment==5 | treatment==8 , vce(cluster id)
*表4第（2）列*
reg wg dk1 dk2 dk3 dk4 i.major i.prov if treatment==2 | treatment==3 | treatment==4 | treatment==5 | treatment==8 , vce(cluster id)
gen dk5 = 0
gen dk6 = dk5
gen dk7 = dk5
gen dk8 = dk5
replace dk5=1 if treatment == 6
replace dk6=1 if treatment == 7
replace dk7=1 if treatment == 9
replace dk8=1 if treatment == 10
*表4第（3）列*
reg wg dk5 dk6 dk7 dk8 if treatment==6 | treatment==7 | treatment==9 | treatment==10 | treatment==8, vce(cluster id)
*表4第（4）列*
reg wg dk5 dk6 dk7 dk8 i.major i.prov if treatment==6 | treatment==7 | treatment==9 | treatment==10 | treatment==8, vce(cluster id)









